import React from 'react';
import ReactDOM from 'react-dom';
import { Face } from './Face';
import { range } from 'd3';

const width=160;
const height = 160;

const array = range(6 * 3);

const App = () => array.map(() => (
  <Face 
      width={width}
      height={height}
      centerX={width / 2}
      centerY={height / 2}
      strokeWidth={5}
      eyeOffsetX={30 + Math.random() * 8}
      eyeOffsetY={20 + Math.random() * 6}
      eyeRadius={10 + Math.random() * 15}
      eyeShineRatio={3}
      mouthWidth={7 + Math.random() * 2}
      mouthRadius={40 + Math.random() * 10}
      mouthStartPercent={30 + Math.random() * 10}
      mouthOffsetY={-Math.random() * 20}
    />
));

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);